<TeXmacs|0.3.3.3>

<style|help>

<\body>
  <expand|section|Typing Russian><label|kbd:russian>

  In order to type Russian text, you should select Russian as the language of
  your document. <TeXmacs> starts with Russian menus, if it detects that the
  Russian locale is set. You can also enforce this behaviour by selecting
  Options <set|mode|math>\<rightarrow\><reset|mode> language
  <set|mode|math>\<rightarrow\><reset|mode> russian.

  If your X server uses the xkb extension, and is instructed to switch
  between the Latin and Russian keyboard modes, you need not do anything
  special. Just switch your keyboard to the Russian mode, and go ahead. All
  the software needed for this is included in modern Linux distributions, and
  the xkb extension is enabled by default in <set|font
  family|tt>XF86Config<reset|font family>. With the xkb extension, keysyms
  are 2-byte, and Russian letters are at 0x6??. The keyboard is configured by
  <set|font family|tt>setxkbmap<reset|font family>. When X starts, it issues
  this command with the system-wide <set|font family|tt>Xkbmap<reset|font
  family> file (usually living in <set|font
  family|tt>/etc/X11/xinit<reset|font family>), if it exists; and then with
  the user's <set|font family|tt>~/.Xkbmap<reset|font family>, if it exists.
  A typical <set|font family|tt>~/.Xkbmap<reset|font family> may look like

  <begin|verbatim>ru basic grp:shift_toggle<end|verbatim>

  This means that the keyboard mode is toggled by
  <expand|key|l-shift>+<expand|key|r-shift>. Other popular choices are
  <expand|key|ctrl>+<expand|key|shift> or <expand|key|ctrl>+<expand|key|alt>,
  see <set|font family|tt>/usr/X11R6/lib/X11/xkb/<reset|font family> for more
  details. This is the preferred keyboard setup for modern Linux systems, if
  you plan to use Russian often.

  In older Linux systems, the xkb extension is often disabled. Keysyms are
  1-byte, and are configured by <set|font family|tt>xmodmap<reset|font
  family>. When X starts, it issues this command with the system-wide
  <set|font family|tt>Xmodmap<reset|font family> (usually living in <set|font
  family|tt>/etc/X11/xinit<reset|font family>), if it exists; and then with
  the user's <set|font family|tt>~/.Xmodmap<reset|font family>, if it exists.
  You can configure the mode toggling key combination, and use a 1-byte
  Russian encoding (such as koi8-r) in the Russian mode. It is easier to
  download the package <set|font family|tt>xruskb<reset|font family>, and
  just run

  <begin|verbatim>xrus jcuken-koi8<end|verbatim>

  at the beginning of your X session. This sets the layout jcuken (see below)
  and the encoding koi8-r for your keyboard in the Russian mode. If you use
  such keyboard setup, you should select Options
  <set|mode|math>\<rightarrow\><reset|mode> international keyboard
  <set|mode|math>\<rightarrow\><reset|mode> russian
  <set|mode|math>\<rightarrow\><reset|mode> koi8-r.

  It is also possible to use the Windows cp1251 encoding instead of koi8-r,
  though this is rarely done in UNIX. If you do use <set|font family|tt>xrus
  jcuken-cp1251<reset|font family>, select cp1251 instead of koi8-r.

  All the methods described above require some special actions to ``russify''
  the keyboard. This is not difficult, see Cyrillic-HOWTO (or, better, its
  updated version http://www.inp.nsk.su/ <set|font family|tt><reset|font
  family><set|font family|tt>~baldin/Cyrillic-HOWTO-russian/Cyrillic-HOWTO-ru\
  ssian.html<reset|font family>). Also, all of the above methods globally
  affect all X applications: text editors (emacs, nedit, kedit...), xterms,
  <TeXmacs> etc.

  If you need to type Russian only once, or very rarely, a proper keyboard
  setup may be more trouble than it's worth. For the benefit of such
  occasional users, <TeXmacs> has methods of Russian input which require no
  preliminary work. Naturally, such methods affect only <TeXmacs>, and no
  other application.

  The simplest way to type some Russian on the standard US-style keyboard
  with no software setup is to select Options
  <set|mode|math>\<rightarrow\><reset|mode> international keyboard
  <set|mode|math>\<rightarrow\><reset|mode> russian
  <set|mode|math>\<rightarrow\><reset|mode> translit. Then, typing a Latin
  letter will produce ``the most similar'' Russian one. In order to get some
  Russian letters, you have to type 2- or 3-letter
  combinations:<vspace|0.5fn>

  <set|paragraph mode|center><table|<expand|key|esc>-<expand|key|">-<expand|k\
  ey|e>|<set|language|russian><set|font|cyrillic><reset|font><reset|language\
  >||<expand|key|esc>-<expand|key|">-<expand|key|E>||<set|language|russian><s\
  et|font|cyrillic><reset|font><reset|language>|<expand|key|y>-<expand|key|o\
  >|<set|language|russian><set|font|cyrillic><reset|font><reset|language>||<\
  expand|key|Y>-<expand|key|o>|<expand|key|Y>-<expand|key|O>|<set|language|ru\
  ssian><set|font|cyrillic><reset|font><reset|language>|<expand|key|z>-<expa\
  nd|key|h>|<set|language|russian><set|font|cyrillic><reset|font><reset|lang\
  uage>||<expand|key|Z>-<expand|key|h>|<expand|key|Z>-<expand|key|H>|<set|lan\
  guage|russian><set|font|cyrillic><reset|font><reset|language>|<expand|key|\
  j>-<expand|key|*>|<set|language|russian><set|font|cyrillic><reset|font><re\
  set|language>||<expand|key|J>-<expand|key|*>||<set|language|russian><set|fo\
  nt|cyrillic><reset|font><reset|language>|<expand|key|c>-<expand|key|h>|<se\
  t|language|russian><set|font|cyrillic><reset|font><reset|language>||<expan\
  d|key|C>-<expand|key|h>|<expand|key|C>-<expand|key|H>|<set|language|russian\
  ><set|font|cyrillic><reset|font><reset|language>|<expand|key|s>-<expand|ke\
  y|h>|<set|language|russian><set|font|cyrillic><reset|font><reset|language>\
  ||<expand|key|S>-<expand|key|h>|<expand|key|S>-<expand|key|H>|<set|language\
  |russian><set|font|cyrillic><reset|font><reset|language>|<expand|key|s>-<e\
  xpand|key|c>-<expand|key|h>|<set|language|russian><set|font|cyrillic><rese\
  t|font><reset|language>||<expand|key|S>-<expand|key|c>-<expand|key|h>|<expa\
  nd|key|S>-<expand|key|C>-<expand|key|H>|<set|language|russian><set|font|cyr\
  illic><reset|font><reset|language>|<expand|key|e>-<expand|key|*>|<set|lang\
  uage|russian><set|font|cyrillic><reset|font><reset|language>||<expand|key|\
  E>-<expand|key|*>||<set|language|russian><set|font|cyrillic><reset|font><r\
  eset|language>|<expand|key|y>-<expand|key|u>|<set|language|russian><set|fon\
  t|cyrillic><reset|font><reset|language>||<expand|key|Y>-<expand|key|u>|<ex\
  pand|key|Y>-<expand|key|U>|<set|language|russian><set|font|cyrillic><reset\
  |font><reset|language>|<expand|key|y>-<expand|key|a>|<set|language|russian>\
  <set|font|cyrillic><reset|font><reset|language>||<expand|key|Y>-<expand|ke\
  y|a>|<expand|key|Y>-<expand|key|A>|<set|language|russian><set|font|cyrillic\
  ><reset|font><reset|language>|6|10><reset|paragraph mode><vspace|0.5fn>

  If you want to get, e.g., ``<set|language|russian><set|font|cyrillic><res\
  et|font><reset|language>'', and not ``<set|language|russian><set|font|cyril\
  lic><reset|font><reset|language>'', you have to type
  <expand|key|s>-<expand|key|/>-<expand|key|h>. Of course, the choice of
  ``optimal'' mapping of Latin letters to Russian ones in not unique. You can
  investigate the mapping supplied with <TeXmacs> and, if you don't like
  something, override it in your <set|font
  family|tt>~/.TeXmacs/progs/Init.scm<reset|font family>.

  If you select jcuken instead of translit, you get the ``official'' Russian
  typewriter layout. It is so called because the keys ``qwerty'' produce
  ``<set|language|russian><set|font|cyrillic><reset|font>''. This input
  method is most useful<reset|language> when you have a Russian-made
  keyboard, which has additional Russian letters written on the key caps in
  red, in the jcuken layout (a similar effect can be achieved by attaching
  transparent stickers with red Russian letters to caps of a US-style
  keyboard). It is also useful if you are an experienced Russian typist, and
  your fingers remember this layout.

  Those who have no Russian letters indicated at the key caps often prefer
  the yawerty layout, where the keys ``qwerty'' produce
  ``<set|language|russian><set|font|cyrillic>''. Each Latin letter is
  mapped into a ``similar'' Russian one; some additional Russian letters are
  produced by <reset|font><reset|language><expand|key|shift>-digits.
  <TeXmacs> comes with a slightly modified yawerty layout, because it does
  not redefine the keys <expand|key|$>, <expand|key|>,
  <expand|key|<set|mode|math>\<backslash\><reset|mode>>, which are important
  for <TeXmacs>, are not redefined. The corresponding Russian letters are
  produced by some <expand|key|shift>-digit combinations instead.

  \;
</body>

<\initial>
  <\collection>
    <associate|paragraph hyphenation|professional>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|kbd:russian|?>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate>
      toc
    <|associate>
      Typing Russian<htab|5mm>?
    </associate>
  </collection>
</auxiliary>
