
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : Init.scm
;; DESCRIPTION : This is the standard TeXmacs initialization file
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(exec-file "$TEXMACS_PATH/progs/boot" "general.scm")
(exec-file "$TEXMACS_PATH/progs/boot" "modify.scm")
(exec-file "$TEXMACS_PATH/progs/boot" "style.scm")
(exec-file "$TEXMACS_PATH/progs/menu" "symbol-menu.scm")
(exec-file "$TEXMACS_PATH/progs/menu" "main-menu.scm")
(exec-file "$TEXMACS_PATH/progs/menu" "icon-menu.scm")
(exec-file "$TEXMACS_PATH/progs/keyboard" "latex.scm")
(exec-file "$TEXMACS_PATH/progs/keyboard" "keymaps.scm")
(exec-file "$TEXMACS_PATH/progs/keyboard" "emacs.scm")
(exec-file "$TEXMACS_PATH/progs/keyboard" "shorthands.scm")
(exec-file "$TEXMACS_PATH/progs/keyboard" "accents.scm")
(exec-file "$TEXMACS_PATH/progs/keyboard/russian" "translit.scm")
(exec-file "$TEXMACS_PATH/progs/keyboard/russian" "cp1251.scm")
(if (use-ec-fonts?)
    (exec-file "$TEXMACS_PATH/progs/fonts" "ec-fonts.scm")
    (exec-file "$TEXMACS_PATH/progs/fonts" "cm-fonts.scm"))
(exec-file "$TEXMACS_PATH/progs/fonts" "adobe-fonts.scm")
(exec-file "$TEXMACS_PATH/progs/fonts" "x-fonts.scm")
(exec-file "$TEXMACS_PATH/progs/fonts" "math-fonts.scm")
(exec-file "$TEXMACS_PATH/progs/fonts" "foreign-fonts.scm")
(exec-file "$TEXMACS_PATH/progs/fonts" "misc-fonts.scm")

(connection-declare "gTybalt" "gtybalt --texmacs")
(connection-format "gTybalt" "verbatim" "generic")
(connection-declare "Macaulay2" "M2 --texmacs")
(connection-format "Macaulay2" "verbatim" "generic")
(connection-declare "maxima" "tm_maxima")
(connection-format "maxima" "verbatim" "generic")
(connection-filter-in "maxima" "filter-maxima-in")
(connection-declare "mupad" "tm_mupad")
(connection-format "mupad" "verbatim" "generic")
(connection-declare "mycas" "mycas --texmacs")
(connection-format "mycas" "verbatim" "generic")
(connection-declare "pari" "gp --texmacs")
(connection-format "pari" "verbatim" "generic")
(connection-declare "reduce" "tm_reduce")
(connection-format "reduce" "verbatim" "generic")
(connection-declare "scilab" "scilab --texmacs")
(connection-format "scilab" "verbatim" "generic")
(connection-declare "yacas" "yacas --texmacs")
(connection-format "yacas" "verbatim" "generic")

(connection-declare "bash" "tm_shell")
(connection-format "bash" "verbatim" "generic")
(connection-declare "ispell" "ispell -a")
(connection-format "ispell" "verbatim" "ispell")
