
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : emacs.scm
;; DESCRIPTION : emacs control keys
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(set-shorthands '(text math prog)
  '(("C-c" "" "emacs mode specific prefix command")
    ("C-x" "" "emacs prefix command")))

(define (kill-line)
  (selection-set-start)
  (go-end-line)
  (selection-set-end)
  (cut "primary"))

(define (replace-start-forward what by)
  (replace-start what by #t))

(set-keymap '(text math prog)
  '(("C-a" (go-start-line))
    ("C-b" (go-left))
    ("C-e" (go-end-line))
    ("C-f" (go-right))
    ("C-j" (insert-return))
    ("C-g" (selection-cancel))
    ("C-k" (kill-line))
    ("C-l" (recenter-window))
    ("C-n" (go-down))
    ("C-o" (open-line))
    ("C-p" (go-up))
    ("C-="
      (interactive '("Replace:" "Replace by:") 'replace-start-forward))
    ("C-r" (search-start #f))
    ("C-s" (search-start #t))
    ("C-t" (transpose-chars))
    ("C-v" (go-page-up))
    ("C-w" (cut "primary"))
    ("C-y" (paste "primary"))
    ("C-insert" (copy "primary"))
    ("C-delete" (cut "primary"))
    ("C-\\" (toggle-input-method))
    ("C-]" (abort-recursive-edit))
    ("C-_" (undo))
    ("C-/" (undo))
    ("C-space"
      (begin
	(selection-set-start)
	(select-from-keyboard #t)))
;;  ("C-insert"
;;    (begin
;;	(selection-set-end)
;;	(select-from-keyboard #f)))

    ("C-x k" (kill-buffer))
    ("C-x C-c" (quit-TeXmacs-modulo-checks))
    ("C-x C-f" (interactive '("File name:") 'load-texmacs-buffer))
    ("C-x C-s" (save-texmacs-buffer (get-name-buffer)))
    ("C-x C-w" (interactive '("Save as:") 'save-texmacs-buffer))))
